Bug 497249 - system-config-printer troubleshooter doesn't work if you are root already
system-config-printer troubleshooter doesn't work if you are root already
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
11
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 20:06 EDT by Tom Horsley
Modified: 2010-01-11 11:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.1.13-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-08 23:33:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2009-04-22 20:06:36 EDT
Description of problem:
In a shell where you happen to already be logged in as root, run the
system-config-printer tool, Help>Troubleshoot and go through the
troubleshoot wizard to the point where it asks you to enable debugging.
This is where it also normally asks you for the root password. If you
are already running as root, the window just disappears and the shell
says it did an exit(1).

Version-Release number of selected component (if applicable):
system-config-printer-1.1.7-1.fc11.x86_64

How reproducible:
every time

Steps to Reproduce:
1. see above
2.
3.
  
Actual results:
exit(1)

Expected results:
enabling of debugging

Additional info:
Bug 496521 is where I noticed this, so if you need details on the specific
printer involved, that is where you can find them.
Comment 1 Bug Zapper 2009-06-09 10:26:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tim Waugh 2009-07-01 11:13:57 EDT
I think this should be working OK with the 1.1.8-3.fc11 test update.
Comment 3 Fedora Update System 2009-07-28 07:57:15 EDT
system-config-printer-1.1.10-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.10-1.fc11
Comment 4 Fedora Update System 2009-07-29 17:32:56 EDT
system-config-printer-1.1.10-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 5 Fedora Update System 2009-08-08 15:24:38 EDT
system-config-printer-1.1.11-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 6 Fedora Update System 2009-08-27 18:52:56 EDT
system-config-printer-1.1.12-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 7 Fedora Update System 2009-08-31 19:34:28 EDT
system-config-printer-1.1.12-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 8 Fedora Update System 2009-09-06 16:45:43 EDT
system-config-printer-1.1.12-8.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 9 Fedora Update System 2009-09-15 03:48:56 EDT
system-config-printer-1.1.13-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 10 Fedora Update System 2009-09-24 01:07:59 EDT
system-config-printer-1.1.13-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 11 Fedora Update System 2009-10-03 15:09:42 EDT
system-config-printer-1.1.13-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 12 Fedora Update System 2009-10-08 23:31:54 EDT
system-config-printer-1.1.13-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.